Outpost logoOutpost Docs

Get all events for a specific message

GET
/v1/messages/{messageId}/events
x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Path Parameters

messageId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/messages/string/events"
{  "items": [    {      "eventId": "string",      "messageId": "string",      "tenantId": "string",      "projectId": "string",      "category": "MESSAGE",      "clientPhoneNumber": "string",      "type": "QUEUED",      "providerEventType": "string",      "raw": "string",      "webhookDeliveries": [        {          "webhookDeliveryId": "string",          "projectId": "string",          "webhookConfigId": "string",          "destinationUrl": "string",          "requestHeaders": {            "property1": "string",            "property2": "string"          },          "status": "PENDING",          "statusCode": 0,          "responseHeaders": {            "property1": "string",            "property2": "string"          },          "errorMessage": "string",          "scheduledAt": 0,          "completedAt": 0        }      ],      "occurredAt": 0,      "createdAt": 0,      "updatedAt": 0    }  ]}